From 47a8e3aa4668dc1cf895a04e784d6836efbacd59 Mon Sep 17 00:00:00 2001
From: "aero-three (Adrien)" <adrien.duval-bonnet@loria.fr>
Date: Wed, 5 Jun 2019 16:31:01 +0200
Subject: [PATCH 2/3] Patch driver vcm ov8858

---
 drivers/media/i2c/ov8858.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/drivers/media/i2c/ov8858.c b/drivers/media/i2c/ov8858.c
index e2610f5..0998857 100644
--- a/drivers/media/i2c/ov8858.c
+++ b/drivers/media/i2c/ov8858.c
@@ -1662,9 +1662,12 @@ static int ov8858_s_config(struct v4l2_subdev *sd,
 	dev->sensor_id = sensor_id;
 
 	/* Resolution settings depend on sensor type and platform */
-	ret = __update_ov8858_device_settings(dev, dev->sensor_id);
-	if (ret)
-		goto fail_detect;
+	//On prend le driver par defaut
+	if (0) {
+		ret = __update_ov8858_device_settings(dev, dev->sensor_id);
+		if (ret)
+			goto fail_detect;
+	}
 
 	/* power off sensor */
 	ret = __ov8858_s_power(sd, 0);
-- 
2.7.4

